Skip to main content
`Ctrl`+`K`

# DMNetworkFinalizeComponents

Sets up internal data structures for the sections and components. It is called after registering new components and adding all components to the cloned network. After calling this subroutine, no new components can be added to the network.

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkFinalizeComponents(DM dm)

Collective

## Input Parameter

- dm - the `DMNETWORK` object

## See Also

`DM`, `DMNETWORK`, `DMNetworkAddComponent()`, `DMNetworkRegisterComponent()`, `DMSetUp()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages